Bug 1575024 - prevent ESTALE errors on clean shutdown in nfs-ganesha
Summary: prevent ESTALE errors on clean shutdown in nfs-ganesha
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z4
: 3.0
Assignee: Matt Benjamin (redhat)
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
: 1581884 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:51 UTC by Jeff Layton
Modified: 2018-07-11 18:12 UTC (History)
9 users (show)

Fixed In Version: RHEL: nfs-ganesha-2.5.5-6.el7cp Ubuntu: nfs-ganesha_2.5.5-9redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-11 18:11:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2177 None None None 2018-07-11 18:12:03 UTC

Description Jeff Layton 2018-05-04 14:51:50 UTC
I think we want this patch in v3.1:

    https://review.gerrithub.io/c/ffilz/nfs-ganesha/+/409891

This fixes the shutdown ordering such that we stop processing RPCs earlier, before tearing down the exports table and prevents the issue.

Comment 3 Jeff Layton 2018-05-04 15:24:24 UTC
I'll grab this for now. Should be a straightforward cherry-pick once it's merged into ganesha next branch.

Comment 9 tserlin 2018-05-31 18:32:51 UTC
*** Bug 1581884 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2018-07-11 18:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2177


Note You need to log in before you can comment on or make changes to this bug.